Package Details: neochat-git r1440.cd17339-1

Git Clone URL: https://aur.archlinux.org/neochat-git.git (read-only, click to copy)
Package Base: neochat-git
Description: A client for matrix, the decentralized communication protocol
Upstream URL: https://invent.kde.org/network/neochat
Keywords: im kde matrix qt5
Licenses: GPL3
Conflicts: neochat
Provides: neochat
Submitter: der_fenix
Maintainer: der_fenix
Last Packager: der_fenix
Votes: 3
Popularity: 0.30
First Submitted: 2020-11-07 12:32
Last Updated: 2021-02-19 18:38

Latest Comments

1 2 Next › Last »

bjesus commented on 2021-02-21 22:15

Ah, I had breeze-icons installed and still saw empty spaces everywhere, but I now set it to be the default icon theme on qt5ct and it works. Thank you.

TobiasFella commented on 2021-02-21 21:30

The only icon set for which we know that it contains all the needed icons is breeze-icons

bjesus commented on 2021-02-21 21:22

Anyone knows what package is needed to add the missing icons? I think I'm running into this issue[0] of icons not appearing when not running inside KDE, but I'm not sure what package I should install to make those icons available.

[0] https://invent.kde.org/network/neochat/-/issues/135

JuniorJPDJ commented on 2021-02-19 17:35

Compilation crashes as libquotient-git is too new for neochat.
You probably need to move to stable libquotient dependency

Modelmat commented on 2021-01-02 04:31

tuxflo: You will need to update libquotient-git, the sticker events were only added about ~4 days ago and if you have libquotient-git older than that it will fail to build.

tuxflo commented on 2021-01-01 21:42

Doesn't build here it seems some header file is missing? Error message is:

[ 48%] Building CXX object src/CMakeFiles/neochat.dir/neochatroom.cpp.o
/home/tuxflo/.cache/yay/neochat-git/src/neochat/src/messageeventmodel.cpp:14:10: fatal error: events/stickerevent.h: No such file or directory
   14 | #include <events/stickerevent.h>

Modelmat commented on 2020-12-23 01:49

I believe that cmark should be a runtime dependency, not a make dependency.

bjesus commented on 2020-12-18 10:10

Also, I had to install kdbusaddons to get this to compile.

ognarb commented on 2020-12-07 13:20

Just letting you know, NeoChat now require a new dependency: https://invent.kde.org/libraries/kquickimageeditor/

TobiasFella commented on 2020-11-21 21:25

Hi, can you please also change the description to "A client for matrix, the decentralized communication protocol"?